Subject: bug#22566: 24.5; Make shift key translation a customizable feature

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Aug 2021 15:03:44 +0200

Aura Kelloniemi <[email-masked]> writes:

> Some people consider the shift translation done by Emacs to be a misfeature. I
> agree with them. This is because when I accidentally press a key combination
> which is not bound to any command, I would like to receive an error message
> rather than running another command which I did not intend to run.

I think that sounds like a reasonable user option.  I think all of this
is done in read_key_sequence?  Skimming that 1K-line function, it
doesn't look like a difficult thing to implement.

Does anybody else have an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no